org.apache.ode.bpel.schedules

## Interface SchedulesDocument

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    SchedulesDocumentImpl

      public interface SchedulesDocument
      extends org.apache.xmlbeans.XmlObject

  A document containing one schedules(@http://www.apache.org/ode/schemas/schedules/2009/05) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SchedulesDocument.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TSchedules` | `addNewSchedules()` Appends and returns a new empty "schedules" element
    `TSchedules` | `getSchedules()` Gets the "schedules" element
    `void` | `setSchedules(TSchedules schedules)` Sets the "schedules" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getSchedules

          TSchedules getSchedules()

      Gets the "schedules" element

    - #### setSchedules

          void setSchedules(TSchedules schedules)

      Sets the "schedules" element

    - #### addNewSchedules

          TSchedules addNewSchedules()

      Appends and returns a new empty "schedules" element